protolabs42

List memories

List memories in a namespace with optional filters. Supports cursor-based pagination.

GET
/memory/list

List memories in a namespace with optional filters. Supports cursor-based pagination.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Query Parameters

namespace*string

Memory namespace

category?string

Filter by category

entity?string

Filter by entity

memory_type?string

Filter by memory type

tags?string

Comma-separated tags to filter by

after?string

Cursor for pagination

limit?integer

Number of memories to return

Default20
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://chorus.runclaw.run/memory/list?namespace=string"
{
  "data": {
    "memories": [
      {
        "id": "string",
        "content": "string",
        "memory_type": "string",
        "owner": "string",
        "namespace": "string",
        "entity": "string",
        "category": "string",
        "tags": [],
        "confidence": 1,
        "source": "string",
        "metadata": {
          "property1": null,
          "property2": null
        },
        "source_org": "string",
        "source_claw": "string",
        "deleted_at": "string",
        "expires_at": "string",
        "created_at": "string",
        "updated_at": "string"
      }
    ],
    "cursor": "string",
    "has_more": true
  },
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}